Subject: Re: Bug: Hierarchical Aliases no longer work in 2.54.0

From: Michael Grossfeld <[email-masked]>
Date: Thu, 23 Apr 2026 18:55:11 -0400

> In the short-term, you can work around it by using the new syntax:
>
>  [alias "pull.sub"]
>  command = ...whatever...

Sounds good. I'll likely write a script for my team to convert their
existing aliases depending on their git version.

> That does still break a historical alias if you happened to call it
> "foo.command". I'm not sure if we want to try to be even more thorough
> and fall back on that case, or if we're getting now into unlikely
> hypotheticals.

For my purposes, this would be fine and work for me. As the hierarchical
aliases are already unlikely, I imagine "foo.command" existing is even more
unlikely.